curl --request GET \
--url https://api.synctera.com/v2/ach/incoming/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/ach/incoming/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/ach/incoming/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/ach/incoming/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/ach/incoming/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v2/ach/incoming/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/ach/incoming/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_no": "122455799",
"amount": 10000,
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"dc_sign": "credit",
"effective_date": "2022-03-25",
"file_name": "<string>",
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"identification_number": "<string>",
"individual_name": "<string>",
"is_future_dated": true,
"originating_routing_number": "364275034",
"sec_code": "WEB",
"settlement_date": "2022-03-25",
"status": "ERROR",
"tenant": "abcdef_ghijkl",
"trace_no": "123456780000069",
"account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"customer_id": "46fac778-90c0-4d55-9a21-a587e564e7b5",
"decline_reason": "Suspected fraud",
"external_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iat_info": {
"foreign_payment_amount": 123,
"foreign_trace_number": "<string>",
"name": "<string>",
"odfi_branch_country_code": "<string>",
"odfi_id_number_qualifier": "<string>",
"odfi_identification": "<string>",
"odfi_name": "<string>",
"originator_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"originator_name": "<string>",
"rdfi_branch_country_code": "<string>",
"rdfi_id_number_qualifier": "<string>",
"rdfi_identification": "<string>",
"rdfi_name": "<string>",
"receiver_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"receiver_id_number": "<string>",
"transaction_type_code": "<string>"
},
"notification_of_change": {
"change_code": "C01",
"corrected_data": "122455799",
"original_dfi_no": "364275034",
"original_trace": "123456780000069"
},
"outgoing_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"reference_info": [
"<string>"
],
"return_data": {
"code": "R01",
"original_dfi_no": "364275034",
"original_trace": "123456780000069",
"dishonored_return_code": "69",
"dishonored_return_settlement_date": "256",
"dishonored_return_trace": "123456780000069",
"field_errors": "05",
"return_code": "13",
"return_settlement_date": "256",
"return_trace": "123456780000069"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get Incoming ACH Transaction By ID
🚧 Beta This is a Beta endpoint for use by early adopters. Do not use this endpoint with real customers. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.
curl --request GET \
--url https://api.synctera.com/v2/ach/incoming/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/ach/incoming/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/ach/incoming/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/ach/incoming/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/ach/incoming/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v2/ach/incoming/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/ach/incoming/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"account_no": "122455799",
"amount": 10000,
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"dc_sign": "credit",
"effective_date": "2022-03-25",
"file_name": "<string>",
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"identification_number": "<string>",
"individual_name": "<string>",
"is_future_dated": true,
"originating_routing_number": "364275034",
"sec_code": "WEB",
"settlement_date": "2022-03-25",
"status": "ERROR",
"tenant": "abcdef_ghijkl",
"trace_no": "123456780000069",
"account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"customer_id": "46fac778-90c0-4d55-9a21-a587e564e7b5",
"decline_reason": "Suspected fraud",
"external_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iat_info": {
"foreign_payment_amount": 123,
"foreign_trace_number": "<string>",
"name": "<string>",
"odfi_branch_country_code": "<string>",
"odfi_id_number_qualifier": "<string>",
"odfi_identification": "<string>",
"odfi_name": "<string>",
"originator_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"originator_name": "<string>",
"rdfi_branch_country_code": "<string>",
"rdfi_id_number_qualifier": "<string>",
"rdfi_identification": "<string>",
"rdfi_name": "<string>",
"receiver_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"receiver_id_number": "<string>",
"transaction_type_code": "<string>"
},
"notification_of_change": {
"change_code": "C01",
"corrected_data": "122455799",
"original_dfi_no": "364275034",
"original_trace": "123456780000069"
},
"outgoing_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"reference_info": [
"<string>"
],
"return_data": {
"code": "R01",
"original_dfi_no": "364275034",
"original_trace": "123456780000069",
"dishonored_return_code": "69",
"dishonored_return_settlement_date": "256",
"dishonored_return_trace": "123456780000069",
"field_errors": "05",
"return_code": "13",
"return_settlement_date": "256",
"return_trace": "123456780000069"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Path Parameters
Response
Incoming ACH transaction
Represents an incoming ACH entry.
Company Entry Description field in ACH batch header. Originator inserts this field's value to provide the Receiver with a description of the entry's purpose. NACHA Operating Rules dictate that Payroll or E-Commerce Purchase ACH transactions require setting this field to PAYROLL or PURCHASE respectively.
"PAYROLL"
The unique identifier for a receiving account. If the entry is in suspense (status = "IN_SUSPENSE"), this represents the intended customer account, i.e. the account that 'account_no' from the ACH entry refers to (if it exists in the Synctera system). If the entry has been posted (status = "POSTED"), it is the account the transaction was actually posted to. In that case it does not necessarily correspond to the account number in 'account_no'.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Was this page helpful?

